<div class="main-body">
    <div class="body1">
      <div class="picture">
        <img [src]="getProfileImage()" onError="this.src='../../../../assets/user.jpeg'" width="200" height="210">
        <div class="changeAvatar">
          <label for="file">Изаберите слику</label> <br>
          <input class="changeAvatarButton" type="file" (change)="handleFileInput($event)">
        </div>
      </div>
      <div class="informations">
        <label class="fullnameInformations">{{teacherInfo?.fullname}}</label><br>
        <label class="emailInformations">{{teacherInfo?.email}}</label><br>
      </div>
      <div class="changeInf">
        <button class="changeData" type="button" (click)="enableChangeFields()">Измените податке</button>
        <form [formGroup]="teacherForm" (ngSubmit)="onSubmitUserForm()" class="form">
          <div>
            <span>Име и презиме:</span><br>
            <input type="text" name="name" formControlName="fullname">
          </div>
          <div class="usernameDiv">
            <span>Корисничко име:</span><br>
            <input type="username" name="username" formControlName="username">
          </div>
          <div class="emailDiv">
            <span>Имејл:</span><br>
            <input type="text" name="email" formControlName="email">
          </div>
          <button class="save" type="submit">Сачувајте промене</button><br>
        </form>
        <button class="changePassword" type="button" (click)="enableChangePassword()">Промените шифру</button>
        <form class="form2" [formGroup]="teacherForm" (ngSubmit)="onSubmitUserFormPassword()">
          <div class="prevPass">
            <span>Стара шифра: </span>
            <input name="oldPassword" type="password" class="oldPassInput" formControlName="password">
          </div>
          <div class="newPass">
            <span>Нова шифра: </span>
            <input name="newPassword" type="password" class="newPassInput" formControlName="newPassword">
          </div>
          <button class="savePassword" type="submit">Потврдите промену шифре</button>
        </form>
      </div>
    </div>
  </div>
